# $Revision: 1.20 $, $Date: 2004/10/30 12:00:30 $
Summary:	This client for pbbuttonsd displays small GTK+ popup windows
Summary(pl):	Klient dla pbbuttonsd wywietlajcy mae okienka z uyciem GTK+
Name:		gtkpbbuttons
Version:	0.6.4
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/pbbuttons/%{name}-%{version}.tar.gz
# Source0-md5:	26001c1d3d6ee22ea57a4f50a747051e
URL:		http://pbbuttons.sourceforge.net/projects/gtkpbbuttons/
BuildRequires:	autoconf
BuildRequires:	gtk+2-devel
BuildRequires:	pbbuttonsd-lib
Requires:	pbbuttonsd
ExclusiveArch:	%{ix86} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This client for pbbuttonsd displays small GTK+ popup windows each time
a message from the daemon pbbuttonsd appeares. The following windows
could pop up:
- brightness level
  The current display brightness level would be displayed.
- volume level
  The current volume level would be displayed
- mute
  The window shows if the speakers were muted.
- battery warning
  This window shows that battery is running low and how long it would
  last until shutdown.
- trackpad mode
  This window shows the current trackpad mode.
- sleep warning
  This window shows that the machine is going to enter sleep mode.
  Usually at that time you could press any key or move the mouse to
  prevent sleep mode.

%description -l pl
Ten klient pbbuttonsd wywietla z uyciem GTK+ mae okienka po kadym
komunikacie od demona pbbuttonsd. Okienka te mog zawiera:
- aktualny poziom jasnoci
- aktualn gono
- informacj, czy dwik jest aktualnie wyciszony
- ostrzeenie o zbliajcym si wyczerpaniu baterii
- informacj o aktualnym trybie trackpada
- ostrzeenie o wchodzeniu komputera w stan upienia - pozwalajce
  zapobiec upieniu przez nacinicie klawisza lub poruszenie myszy.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkpbbuttons.spec,v $
Revision 1.20  2004/10/30 12:00:30  qboosh
- EA update: since 0.6.2 it works on some Intel-based notebooks too

Revision 1.19  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.18  2004/10/16 06:57:16  paladine
- spelling fix

Revision 1.17  2004/10/09 07:11:01  jpc
- updated URL

Revision 1.16  2004/10/08 12:13:35  wrobell
- fixed build requirements

Revision 1.15  2004/10/02 17:27:03  wrobell
- ver. 0.6.4

Revision 1.14  2004/08/18 00:15:15  adasi
- ExclusiveArch: ppc, relup

Revision 1.13  2004/05/24 13:51:55  leafnode
- updated to 0.6.3
- works not only on ppc

Revision 1.12  2004/05/13 19:08:50  ankry
- spaces -> tabs

Revision 1.11  2003/12/05 00:55:50  speedy
- release 2
- fixed /usr/share/gtkpbbuttonsd dir

Revision 1.10  2003/12/05 00:47:38  speedy
- md5sum

Revision 1.9  2003/12/05 00:46:13  speedy
- bump to 0.6.1

Revision 1.8  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/25 05:48:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/15 08:47:54  qboosh
- removed INSTALL from doc (generic), fixed files (use find_lang)
- removed R: XFree86-libs (autodetected)

Revision 1.5  2003/04/13 06:27:14  speedy
- mistake 8=)

Revision 1.4  2003/04/13 06:25:28  speedy
- upgraded to 0.5.2
- simplified %%install

Revision 1.3  2002/05/21 23:13:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/09 22:22:22  qboosh
- pl description, shortened summaries, removed pre/postun (belong to
  pbbuttonsd package)

Revision 1.1  2002/04/23 07:49:59  marcus
- initial version, nfy
